re-apply missing overlayfs SAUCE patch

Bug #1967924 reported by Andrew Vagin
52
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Fix Released
Undecided
Unassigned
Impish
Fix Released
Medium
Unassigned
Jammy
Fix Released
Undecided
Unassigned

Bug Description

[Impact]

Starting with 5.13 we've incorrectly dropped the following sauce patch:

    UBUNTU: SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

This patch seems to be required to use overlayfs on top of shiftfs and without this patch we may break containers that rely on shiftfs (using zfs/ceph as storage pool w/ shiftfs enabled).

[Test case]

The following script can be used to trigger the issue:
  #!/bin/bash

  cat > test.py << EOF
  import sys

  f = open("/proc/self/maps")

  for l in f.readlines():
    if "python" not in l:
      continue
    print(l)
    s = l.split()
    start, end = s[0].split("-")
    fname = s[-1]
    print(start, end, fname)
    break
  else:
    sys.exit(1)

  test_file1 = open(fname)
  test_file2 = open("/proc/self/map_files/%s-%s" % (start, end))

  fdinfo1 = open("/proc/self/fdinfo/%d" % test_file1.fileno()).read()
  fdinfo2 = open("/proc/self/fdinfo/%d" % test_file2.fileno()).read()

  if fdinfo1 != fdinfo2:
    print("FAIL")
    print(test_file1)
    print(fdinfo1)
    print(test_file2)
    print(fdinfo2)
    sys.exit(1)
  print("PASS")
  EOF
  sudo docker run -it --privileged --rm -v `pwd`:/mnt python python /mnt/test.py

[Fix]

The original SAUCE patch relies on AUFS in order to use vma->vm_prfile, but we're not providing AUFS anymore in jammy,.

The fix consists of re-apply this patch with a little refactoring to be dependent on CONFIG_AUFS_FS.

[Regression potential]

This patch is touching overlayfs, so we may see potential regressions in overlayfs.

[Original bug report]

The next patch has not been ported to the the 5.13 branch:

$ git show Ubuntu-azure-5.8-5.8.0-1033.35_20.04.1~656
commit 5f5716d1f7ece06c66d7d8145dd6b3a5886b3e56
Author: Alexander Mikhalitsyn <email address hidden>
Date: Mon Apr 26 10:11:00 2021 +0200

    UBUNTU: SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

    BugLink: https://bugs.launchpad.net/bugs/1857257

...

    Fixes: d24b8a5 ("UBUNTU: SAUCE: overlayfs: allow with shiftfs as underlay")

But it isn't in the 5.13 branch:

$ git log --pretty=oneline origin/azure-5.13-next fs/overlayfs/file.c
1e6145d8708c831d2aa5c26aa15eb98e1a1683b9 ovl: fix use after free in struct ovl_aio_req
7b5bda27d1fc4d7bde20cf6ed203fe88c458169a ovl: fix IOCB_DIRECT if underlying fs doesn't support direct IO
1626e7f7ab7eb74e142fec7fe6b7c9614972a56b ovl: fix deadlock in splice write
1443bc4a25ca84d60d39a8ae1dc6215abdd637a4 UBUNTU: SAUCE: overlayfs: allow with shiftfs as underlay

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-azure (Ubuntu):
status: New → Confirmed
Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Thanks, Andrew!

That's really strange that this fix wasn't ported.
All needed helpers are present:
https://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-azure/+git/focal/tree/mm/prfile.c?h=azure-5.13-next

summary: - One overlayfs fix has not been backported to the 5.13 bracnh
+ One overlayfs fix has not been backported to the 5.13 branch
Revision history for this message
Andrew Vagin (avagin-b) wrote : Re: One overlayfs fix has not been backported to the 5.13 branch

Any update?

Revision history for this message
Andrea Righi (arighi) wrote :

Thanks for pointing this out Andrew. It looks like this patch is relying on AUFS that has been dropped/disabled in jammy, but it's still available in focal, so we should definitely re-apply this patch.

I'll make sure this is re-applied to 5.13 and 5.15 (changing the code to properly depend on AUFS).

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Hello, Andrea!

Thanks a lot for your attention to this problem!

This patch lightly relies on AUFS.
All that we need is https://github.com/JPyke3/mbp-manjaro-kernel/blob/master/aufs5-mmap.patch
to bring needed helpers. Can we keep these changes in ubuntu sauce after AUFS will be dropped?
Please, reach me if it's needed to prepare some patches to the Ubuntu kernel and send it from our (CRIU project) side.

Regards,
Alex

Andrea Righi (arighi)
description: updated
Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):

We have a minimal reproducer test for this issue prepared by Andrei in the original commit description
https://patchwork.ozlabs.<email address hidden>/

Andrea Righi (arighi)
no longer affects: linux-azure (Ubuntu Jammy)
no longer affects: linux-azure (Ubuntu Impish)
no longer affects: linux-azure (Ubuntu)
Changed in linux (Ubuntu Jammy):
status: New → Fix Committed
summary: - One overlayfs fix has not been backported to the 5.13 branch
+ re-apply missing overlayfs SAUCE patch
Stefan Bader (smb)
Changed in linux (Ubuntu Impish):
importance: Undecided → Medium
status: New → In Progress
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.15.0-28.29 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-jammy' to 'verification-done-jammy'. If the problem still exists, change the tag 'verification-needed-jammy' to 'verification-failed-jammy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-jammy
Stefan Bader (smb)
Changed in linux (Ubuntu Impish):
status: In Progress → Fix Committed
Revision history for this message
Andrea Righi (arighi) wrote :

This patch seems to introduce this NULL pointer dereference, that can be triggered systematically running lxc autopkgtest:

BUG: kernel NULL pointer dereference, address: 0000000000000008
[ 447.039738] #PF: supervisor read access in kernel mode
[ 447.040369] #PF: error_code(0x0000) - not-present page
[ 447.041002] PGD 0 P4D 0
[ 447.041325] Oops: 0000 [#1] SMP NOPTI
[ 447.041798] CPU: 0 PID: 73766 Comm: sudo Not tainted 5.15.0-28-generic #29~20.04.1-Ubuntu
[ 447.042800] Hardware name: OpenStack Foundation OpenStack Nova, BIOS Ubuntu-1.8.2-1ubuntu1+esm1 04/01/2014
[ 447.043979] RIP: 0010:aa_file_perm+0x3a/0x470
[ 447.044565] Code: 54 53 48 83 ec 68 48 89 7d 80 89 4d 8c 65 48 8b 04 25 28 00 00 00 48 89 45 d0 31 c0 48 63 05 01 0a 19 01 48 03 82 c0 00 00 00 <4c> 8b 68 08 f6 46 40 02 0f 85 d0 00 00 00 41 f6 45 40 02 0f 85 c5
[ 447.046837] RSP: 0018:ffffaefe80a4bca8 EFLAGS: 00010246
[ 447.047481] RAX: 0000000000000000 RBX: ffff96e4038abd01 RCX: 0000000000000004
[ 447.048351] RDX: ffff96e4038abd00 RSI: ffff96e401215eb8 RDI: ffffffff9c22a2ac
[ 447.049241] RBP: ffffaefe80a4bd38 R08: 0000000000000000 R09: 0000000000000000
[ 447.050121] R10: 0000000000000000 R11: 0000000000000000 R12: ffff96e401215eb8
[ 447.051040] R13: ffff96e4038abd00 R14: ffffffff9c22a2ac R15: 0000000000000004
[ 447.051942] FS: 00007eff3c0f8c80(0000) GS:ffff96e45e400000(0000) knlGS:0000000000000000
[ 447.052981] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 447.053696] CR2: 0000000000000008 CR3: 0000000002be2000 CR4: 00000000003506f0
[ 447.054571] Call Trace:
[ 447.054883] <TASK>
[ 447.055154] ? unlock_page_memcg+0x2f/0x40
[ 447.055668] ? page_remove_rmap+0x4b/0x320
[ 447.056180] common_file_perm+0x72/0x170
[ 447.056669] apparmor_file_permission+0x1c/0x20
[ 447.057237] security_file_permission+0x30/0x1a0
[ 447.057898] rw_verify_area+0x35/0x60
[ 447.058392] vfs_read+0x6d/0x1a0
[ 447.058842] ksys_read+0xb1/0xe0
[ 447.059276] __x64_sys_read+0x1a/0x20
[ 447.059732] do_syscall_64+0x5c/0xc0
[ 447.060183] ? __set_current_blocked+0x3b/0x60
[ 447.060738] ? exit_to_user_mode_prepare+0x3d/0x1c0
[ 447.061434] ? syscall_exit_to_user_mode+0x27/0x50
[ 447.062099] ? do_syscall_64+0x69/0xc0
[ 447.062603] ? irqentry_exit_to_user_mode+0x9/0x20
[ 447.063210] ? irqentry_exit+0x19/0x30
[ 447.063678] ? exc_page_fault+0x89/0x160
[ 447.064165] ? asm_exc_page_fault+0x8/0x30
[ 447.064675] entry_SYSCALL_64_after_hwframe+0x44/0xae
[ 447.065298] RIP: 0033:0x7eff3c2cb002

This panic happens only when AUFS is enabled (so it can be seen only in focal with 5.15 at the moment).

I'm going to revert the patch for now, until we figure out a better way to re-apply this change.

Changed in linux (Ubuntu Jammy):
status: Fix Committed → In Progress
Revision history for this message
Andrea Righi (arighi) wrote :

NOTE to clarify: I'm going to revert this patch in focal/hwe-5.15, that is the only 5.15 kernel with this patch that has AUFS enabled (so the only kernel where this bug can be triggered).

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Hi Andrea,

Do I understand you correctly, that this patch without AUFS works fine,
but on kernels with AUFS enabled it triggers the issue described above?

Please, feel free to ping me if you need help with reworking that.

Thanks a lot for your attention to this problem!

Revision history for this message
Andrea Righi (arighi) wrote :

@mihalicyn Yes, this patch without AUFS enabled doesn't introduce any problem, but that's because without AUFS the patch is basically a no-op.

Here's the ported patch that was applied to 5.15:
https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/focal/commit/?h=hwe-5.15-next&id=e3e60b65fa4db4722bd4b02a9dae58f7ff5d83d2

It'd be great if you could take a look and see if you spot any obvious bugs. I'll do more tests later today, trying to better figure out the real issue here.

Revision history for this message
Andrea Righi (arighi) wrote :

I think I have a proper fix to re-introduce this patch without panicing the kernel. I'm currently running some stress tests to make sure nothing is broken. If everything goes well I'll re-introduce this patch with the proper fix.

Revision history for this message
Andrea Righi (arighi) wrote :
Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):

Hi Andrea,

thanks a lot!

1. In my original patch here:
https://patchwork.ozlabs.<email address hidden>/

there was no "fput" call inside ovl_vm_prfile_set helper. fput was in the outer ovl_mmap() function in fs/overlayfs/file.c

Your last fix looks fully correct.

2. If we compare ovl_mmap function between 5.8 branch and 5.15:
https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/focal/tree/fs/overlayfs/file.c?h=hwe-5.8#n461

https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/focal/tree/fs/overlayfs/file.c?h=hwe-5.15-next&id=e3e60b65fa4db4722bd4b02a9dae58f7ff5d83d2#n528

we can see that ovl_mmap function was changed after:
https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/focal/commit/fs/overlayfs/file.c?h=hwe-5.15-next&id=2896900e22f8212606a1837d89a6bbce314ceeda

that's the point where the problem was introduced and ovl_vm_prfile_set with this "fput" become incorrect.

Right now, with your fix all seems correct.

3. But there is a question. Can we split this thing out of AUFS? As I mentioned before all that we really need here is this part:
https://github.com/JPyke3/mbp-manjaro-kernel/blob/master/aufs5-mmap.patch

Why we can't remove this `#if IS_ENABLED(CONFIG_AUFS_FS)` and use "shadow file" helper all the time?
I'm ready to prepare and test full version of patches to achieve that if it's needed.

Regards,
Alex

Revision history for this message
Andrea Righi (arighi) wrote :

Alex, thanks for the review! We can definitely remove the dependency of AUFS and provide a standalone patch, in this way we can provide this feature also to those kernels that don't have AUFS enabled (like all the recent kernels in jammy). I'll work on that and will ping you when I have a patch ready to be tested (unless you prepare something before me). :)

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.13.0-42.47 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-impish' to 'verification-done-impish'. If the problem still exists, change the tag 'verification-needed-impish' to 'verification-failed-impish'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-impish
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux-hwe-5.15/5.15.0-32.33~20.04.1 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (10.5 KiB)

This bug was fixed in the package linux - 5.13.0-46.51

---------------
linux (5.13.0-46.51) impish; urgency=medium

  * CVE-2022-21499
    - SAUCE: debug: Lock down kgdb

linux (5.13.0-45.50) impish; urgency=medium

  * impish/linux: 5.13.0-45.50 -proposed tracker (LP: #1974347)

  * CVE-2022-1158
    - KVM: x86/mmu: do compare-and-exchange of gPTE via the user address

  * config CONFIG_HISI_PMU for kunpeng920 (LP: #1956086)
    - [Config] CONFIG_HISI_PMU=m

  * re-apply missing overlayfs SAUCE patch (LP: #1967924)
    - SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

  * Impish update: upstream stable patchset 2022-04-20 (LP: #1969666)
    - mac80211_hwsim: report NOACK frames in tx_status
    - mac80211_hwsim: initialize ieee80211_tx_info at hw_scan_work
    - i2c: bcm2835: Avoid clock stretching timeouts
    - ASoC: rt5668: do not block workqueue if card is unbound
    - ASoC: rt5682: do not block workqueue if card is unbound
    - regulator: core: fix false positive in regulator_late_cleanup()
    - KVM: arm64: vgic: Read HW interrupt pending state from the HW
    - tipc: fix a bit overflow in tipc_crypto_key_rcv()
    - cifs: fix double free race when mount fails in cifs_get_root()
    - selftests/seccomp: Fix seccomp failure by adding missing headers
    - i2c: cadence: allow COMPILE_TEST
    - i2c: qup: allow COMPILE_TEST
    - net: usb: cdc_mbim: avoid altsetting toggling for Telit FN990
    - usb: gadget: don't release an existing dev->buf
    - usb: gadget: clear related members when goto fail
    - exfat: reuse exfat_inode_info variable instead of calling EXFAT_I()
    - exfat: fix i_blocks for files truncated over 4 GiB
    - tracing: Add test for user space strings when filtering on string pointers
    - serial: stm32: prevent TDR register overwrite when sending x_char
    - ata: pata_hpt37x: fix PCI clock detection
    - drm/amdgpu: check vm ready by amdgpu_vm->evicting flag
    - tracing: Add ustring operation to filtering string pointers
    - ALSA: intel_hdmi: Fix reference to PCM buffer address
    - riscv/efi_stub: Fix get_boot_hartid_from_fdt() return value
    - riscv: Fix config KASAN && SPARSEMEM && !SPARSE_VMEMMAP
    - riscv: Fix config KASAN && DEBUG_VIRTUAL
    - ASoC: ops: Shift tested values in snd_soc_put_volsw() by +min
    - iommu/amd: Recover from event log overflow
    - drm/i915: s/JSP2/ICP2/ PCH
    - xen/netfront: destroy queues before real_num_tx_queues is zeroed
    - thermal: core: Fix TZ_GET_TRIP NULL pointer dereference
    - ntb: intel: fix port config status offset for SPR
    - mm: Consider __GFP_NOWARN flag for oversized kvmalloc() calls
    - xfrm: fix MTU regression
    - netfilter: fix use-after-free in __nf_register_net_hook()
    - bpf, sockmap: Do not ignore orig_len parameter
    - xfrm: enforce validity of offload input flags
    - e1000e: Correct NVM checksum verification flow
    - net: fix up skbs delta_truesize in UDP GRO frag_list
    - netfilter: nf_queue: don't assume sk is full socket
    - netfilter: nf_queue: fix possible use-after-free
    - netfilter: nf_queue: handle socket prefetch
    - batman-adv: Request iflink once in batadv-on-batadv check
    -...

Changed in linux (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (101.7 KiB)

This bug was fixed in the package linux - 5.15.0-35.36

---------------
linux (5.15.0-35.36) jammy; urgency=medium

  * CVE-2022-21499
    - SAUCE: debug: Lock down kgdb

linux (5.15.0-34.35) jammy; urgency=medium

  * jammy/linux: 5.15.0-34.35 -proposed tracker (LP: #1974322)

  * AMD APU s2idle is broken after the ASIC reset fix (LP: #1972134)
    - drm/amdgpu: unify BO evicting method in amdgpu_ttm
    - drm/amdgpu: explicitly check for s0ix when evicting resources

  * amd_gpio AMDI0030:00: Failed to translate GPIO pin 0x0000 to IRQ, err -517
    (LP: #1971597)
    - gpio: Request interrupts after IRQ is initialized

  * config CONFIG_HISI_PMU for kunpeng920 (LP: #1956086)
    - [Config] CONFIG_HISI_PMU=m

  * Mute/mic LEDs no function on EliteBook G9 platfroms (LP: #1970552)
    - ALSA: hda/realtek: Enable mute/micmute LEDs support for HP Laptops

  * network-manager/1.36.4-2ubuntu1 ADT test failure with linux/5.15.0-28.29
    (LP: #1971418)
    - Revert "rfkill: make new event layout opt-in"

  * PCIE LnkCtl ASPM not enabled under VMD mode for Alder Lake platforms
    (LP: #1942160)
    - SAUCE: vmd: fixup bridge ASPM by driver name instead

  * Mute/mic LEDs no function on HP EliteBook 845/865 G9 (LP: #1970178)
    - ALSA: hda/realtek: Enable mute/micmute LEDs and limit mic boost on EliteBook
      845/865 G9

  * Enable headset mic on Lenovo P360 (LP: #1967069)
    - ALSA: hda/realtek: Enable headset mic on Lenovo P360

  * WCN6856 BT keep in OFF state after coldboot system (LP: #1967067)
    - Bluetooth: btusb: Improve stability for QCA devices

  * Screen sometimes can't update [Failed to post KMS update: CRTC property
    (GAMMA_LUT) not found] (LP: #1967274)
    - drm/i915/xelpd: Enable Pipe color support for D13 platform
    - drm/i915: Use unlocked register accesses for LUT loads
    - drm/i915/xelpd: Enable Pipe Degamma
    - drm/i915/xelpd: Add Pipe Color Lut caps to platform config

  * Jammy update: v5.15.35 upstream stable release (LP: #1969857)
    - drm/amd/display: Add pstate verification and recovery for DCN31
    - drm/amd/display: Fix p-state allow debug index on dcn31
    - hamradio: defer 6pack kfree after unregister_netdev
    - hamradio: remove needs_free_netdev to avoid UAF
    - cpuidle: PSCI: Move the `has_lpi` check to the beginning of the function
    - ACPI: processor idle: Check for architectural support for LPI
    - ACPI: processor: idle: fix lockup regression on 32-bit ThinkPad T40
    - btrfs: remove unused parameter nr_pages in add_ra_bio_pages()
    - btrfs: remove no longer used counter when reading data page
    - btrfs: remove unused variable in btrfs_{start,write}_dirty_block_groups()
    - soc: qcom: aoss: Expose send for generic usecase
    - dt-bindings: net: qcom,ipa: add optional qcom,qmp property
    - net: ipa: request IPA register values be retained
    - btrfs: release correct delalloc amount in direct IO write path
    - ALSA: core: Add snd_card_free_on_error() helper
    - ALSA: sis7019: Fix the missing error handling
    - ALSA: ali5451: Fix the missing snd_card_free() call at probe error
    - ALSA: als300: Fix the missing snd_card_free() call at probe error
    - ALSA: als4000: Fix ...

Changed in linux (Ubuntu Jammy):
status: In Progress → Fix Released
Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

As far as I understand hwe kernels on Jammy lacks aufs, so our fix for shiftfs+overlayfs was dropped on these kernels. I'll work on the proper fixes for these kernels and send it.

Revision history for this message
Dmitry Trofimov (traff) wrote :

Using CRIU on Ubuntu 22.04 gives me the error:

Error (criu/files-reg.c:1710): Can't lookup mount=1273 for fd=-3 path=/opt/python/bin/python3.8
Error (criu/cr-dump.c:1524): Collect mappings (pid: 70655) failed with -1
Error (criu/cr-dump.c:2053): Dumping FAILED.

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=22.04
DISTRIB_CODENAME=jammy
DISTRIB_DESCRIPTION="Ubuntu 22.04 LTS"

uname -a
Linux traff-desktop 5.15.0-41-generic #44-Ubuntu SMP Wed Jun 22 14:20:53 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Dmitry, couldn't you show:
cat /boot/config-$(uname -r) | grep AUFS
?

5.15 kernel it's master branch, this branch contains corresponding fix:
https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/jammy/tree/fs/overlayfs/file.c?h=master#n493

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Ugh, it looks like CONFIG_AUFS_FS is disabled in all branches of jammy kernel. It means that this fix commit is totally useless. Okay, I'll fix that too :)

Revision history for this message
Dmitry Trofimov (traff) wrote :

cat /boot/config-$(uname -r) | grep AUFS
# CONFIG_AUFS_FS is not set

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

Fix for Jammy hwe-5.17 was sent to <email address hidden>

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):

Fix for Jammy linux master branch (linux kernel 5.15) will be ready tomorrow.

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):

fix for Jammy linux kernel 5.15 master-next branch was sent to <email address hidden>

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote :

I've changed state because technically, issue still persists on the Ubuntu Jammy in default kernel configurations. I've prepared fixes for two kernels:
- master-next
- hwe-5.17

I'm not sure if I need to port these changes to some other branches. I think I need some advice from ubuntu kernel team guys regarding this.

Changed in linux (Ubuntu):
status: Fix Committed → In Progress
tags: added: verification-failed-jammy
removed: verification-needed-jammy
tags: added: patch
Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):
description: updated
Revision history for this message
Dmitry Trofimov (traff) wrote :

Verified the patch for the master-next branch. It fixes the issue indeed, everything is OK.

Revision history for this message
Aleksandr Mikhalitsyn (mihalicyn) wrote (last edit ):
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.19.0-15.15

---------------
linux (5.19.0-15.15) kinetic; urgency=medium

  * kinetic/linux: 5.19.0-15.15 -proposed tracker (LP: #1983335)

  * Miscellaneous Ubuntu changes
    - [Config] update annotations to support both gcc-11 and gcc-12

 -- Andrea Righi <email address hidden> Tue, 02 Aug 2022 09:23:01 +0200

Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers